curl --request GET \
--url https://api.cadanapay.com/v1/businesses/{businessId} \
--header 'Authorization: Bearer <token>'{
"id": "8ef9a712-cdae-4110-b1ea-9ba95abbee6e",
"country": "US",
"tenantKey": "cad123",
"currency": "USD",
"name": "ACME LLC",
"shortName": "ACME",
"status": "active",
"address": {
"countryCode": "US",
"line1": "Street 1",
"line2": "Apt 1",
"city": "Gotham",
"postalCode": "10001",
"state": "NY"
},
"instantPaySettings": {
"accessPercentage": 30,
"numDaysBeforePayroll": 4,
"requiresApproval": false,
"contractorAccess": true
},
"payrollSettings": {
"payrollDay": 28,
"numApproversNeeded": 1
},
"phoneNumber": {
"countryCode": "1",
"number": "2345678901"
},
"departments": [
{
"id": "8ef9a712-cdae-4110-b1ea-9ba95abbee6e",
"name": "Engineering"
}
],
"customFields": [
{
"id": "8ef9a712-cdae-4110-b1ea-9ba95abbee6e",
"name": "Tshirt Size",
"value": "M"
}
]
}Get a business
curl --request GET \
--url https://api.cadanapay.com/v1/businesses/{businessId} \
--header 'Authorization: Bearer <token>'{
"id": "8ef9a712-cdae-4110-b1ea-9ba95abbee6e",
"country": "US",
"tenantKey": "cad123",
"currency": "USD",
"name": "ACME LLC",
"shortName": "ACME",
"status": "active",
"address": {
"countryCode": "US",
"line1": "Street 1",
"line2": "Apt 1",
"city": "Gotham",
"postalCode": "10001",
"state": "NY"
},
"instantPaySettings": {
"accessPercentage": 30,
"numDaysBeforePayroll": 4,
"requiresApproval": false,
"contractorAccess": true
},
"payrollSettings": {
"payrollDay": 28,
"numApproversNeeded": 1
},
"phoneNumber": {
"countryCode": "1",
"number": "2345678901"
},
"departments": [
{
"id": "8ef9a712-cdae-4110-b1ea-9ba95abbee6e",
"name": "Engineering"
}
],
"customFields": [
{
"id": "8ef9a712-cdae-4110-b1ea-9ba95abbee6e",
"name": "Tshirt Size",
"value": "M"
}
]
}Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Required when using a Platform API token. The tenant key identifying which business to operate on.
The unique identifier for the business
get business response
Get business response
"8ef9a712-cdae-4110-b1ea-9ba95abbee6e"
"US"
"cad123"
"USD"
"ACME LLC"
"ACME"
"active"
Address
Show child attributes
Show child attributes
Show child attributes
Person's phone number
Show child attributes
Show child attributes
Show child attributes